Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.util
Class ObjectIds.Id

    java.lang.Object
      |
      +--com.solarmetric.kodo.util.ObjectIds.Id

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObjectIds

public static class ObjectIds.Id
extends Object
implements Serializable

Type for generated data store identity classes.

See Also:
  Serialized Form

Field Summary
`long` | `id` The primary key value.
`Class` | `type` For persistent instances, this type should correspond to the least-derived persistence capable ancestor of the type being described.

Constructor Summary
`ObjectIds.Id()` Default constructor.
`ObjectIds.Id(long id, Class type)` Construct with the given unique identifier and type.
`ObjectIds.Id(String str)` Construct from the result of a `toString()` call on another instance.
`ObjectIds.Id(String str, ClassResolver loader)` Construct from the result of a `toString()` call on another instance.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`, clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public long id

  The primary key value.

### type

    public Class type

  For persistent instances, this type should correspond to the least-derived persistence capable ancestor of the type being described. Thus, all persistence capable types in an inheritance tree should have the same `type` value.

Constructor Detail

### ObjectIds.Id

    public ObjectIds.Id()

  Default constructor.

### ObjectIds.Id

    public ObjectIds.Id(String str)

  Construct from the result of a `toString()` call on another instance.

### ObjectIds.Id

    public ObjectIds.Id(String str,
                        ClassResolver loader)

  Construct from the result of a `toString()` call on another instance.

### ObjectIds.Id

    public ObjectIds.Id(long id,
                        Class type)

  Construct with the given unique identifier and type. The type will be traversed to find the least-derived persistence capable superclass.

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.